Skip to main content
POST
Create tag

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Required string length: 1 - 255
color
string
required

Hex color in #RRGGBB or #RGB form.

Pattern: ^#(?:[0-9a-fA-F]{3}|[0-9a-fA-F]{6})$
icon
string
required

Name of a Nucleo icon (PascalCase, e.g. Notepad, Atom). Must be a valid icon from https://nucleoapp.com - unknown names will not render in the dashboard.

Required string length: 1 - 64
tag_group_id
string
required

Tag group id. Required. Fetch the workspace's groups via GET /tags/groups.

Response

Successful response

id
string
required
name
string
required
color
string
required
icon
string | null
required

Name of a Nucleo icon (PascalCase, e.g. Notepad, Atom). Must be a valid icon from https://nucleoapp.com - unknown names will not render in the dashboard or portal.

tag_group_id
string | null
required
created_at
string
required
updated_at
string
required